- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Describe
  - Prepare

# NAME

RT::Search::ActiveTicketsInQueue

# SYNOPSIS

        rt-crontool --search RT::Search::ActiveTicketsInQueue \
            --search-arg "General" \
            --action RT::Action \
            --verbose \
            --log debug

# DESCRIPTION

Find all active tickets in the queue named in the provided Argument.

# METHODS

## Describe

Returns a localized string describing the module's function.

## Prepare

Runs a search on the associated RT::Tickets object, limiting it to active tickets in the queue identified by the provided Argument.

The search is performed in the context of the user running the command. For rt-crontool searches, this is the RT::User account associated with the Linux account running rt-crontool via the "Unix login" setting.

← Back to index